
QGIS Application - Bug report #17262

Attribute table data entered text is obscured by the 'x' button

2017-10-09 11:58 AM - Steve Lowman

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Attribute table

Affected QGIS version:2.18.13 Regression?: Yes

Operating System: W 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25160

Description

In QGIS 2.18 attribute table data entry, once the cell is full of text, the newly entered text is obscured at the right-hand end of the cell by

the little 'x' button. This is quite off-putting for the user, who cannot see the text as it is typed in.

In QGIS 2.14, this problem was avoided by having a right margin in the cell while text was being entered. This right margin is not there in

the 2.18 attribute table cell.

Related issues:

Related to QGIS Application - Bug report # 17289: Issue editing layers Closed 2017-10-16

Related to QGIS Application - Bug report # 17187: Attribute Table refresh issue Closed 2017-09-24

Related to QGIS Application - Bug report # 17280: When switch between filtere... Closed 2017-10-14

Associated revisions

Revision a7ffde6c - 2017-11-23 09:54 AM - Alessandro Pasotti 

[ui][bugfix] lineedit add margin for X icon

Fixes #17262

Needs backporting

Revision 106b8b63 - 2017-11-27 06:02 PM - Alessandro Pasotti 

[ui][bugfix] lineedit add margin for X icon

Backported from master PR 5707

Fixes #17262

History

#1 - 2017-10-16 08:30 PM - Steve Lowman

- File Bug_17262.mp4 added

Attached video shows characters being typed are obscured by the 'clear' button, because there is no right margin on the cell while data is being typed in.

#2 - 2017-10-16 08:32 PM - Steve Lowman

2025-06-13 1/3



cross reference to bug 17289.

Both bugs are concerning data entry in attribute table 'table view'.

It may be efficient to fix both errors together.

Also 17187 and 17280, which is classed as High Priority. I think all four are closely related.

#3 - 2017-10-21 02:36 PM - Steve Lowman

Okay, those other bugs are not directly related to this one.

However, I think this one should be classed as a Regression, because important functionality has been lost since the previous QGIS LTR releases.

#4 - 2017-10-23 09:10 AM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#5 - 2017-11-23 09:15 AM - Alessandro Pasotti

- Related to Bug report #17289: Issue editing layers added

#6 - 2017-11-23 09:15 AM - Alessandro Pasotti

- Related to Bug report #17187: Attribute Table refresh issue added

#7 - 2017-11-23 09:15 AM - Alessandro Pasotti

- Related to Bug report #17280: When switch between filtered modes, the edited cells stop updating themselves. added

#8 - 2017-11-23 09:15 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#9 - 2017-11-23 09:18 AM - Alessandro Pasotti

This also affects master

#10 - 2017-11-23 10:00 AM - Alessandro Pasotti

- Status changed from Open to In Progress

PR: https://github.com/qgis/QGIS/pull/5707

Backporting will follow.

#11 - 2017-11-23 11:46 AM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|a7ffde6c95207f52f8fed94e0c356bfda862491d.

#12 - 2017-11-24 02:11 PM - Giovanni Manghi

- Resolution set to fixed/implemented
Files

Comparison of attribute table data entry in QGIS 2.14 and 2.18.png 8.8 KB 2017-10-09 Steve Lowman

Bug_17262.mp4 1.81 MB 2017-10-16 Steve Lowman
